/*********************************************************************************
 *																				
 *   e-Mail Notify - Internet e-Mail Notifier
 *   Copyright (C) 1996-1998 Ludovic Dubost <ldubost@pobox.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *  
 **********************************************************************************/


/////////////////////////////////////////////////////////////////////////////
// CPPOpt3 dialog

class CPPOpt3 : public CPropertyPage
{
	DECLARE_DYNCREATE(CPPOpt3)

// Construction
public:
	CPPOpt3();
	~CPPOpt3();

// Dialog Data
	//{{AFX_DATA(CPPOpt3)
	enum { IDD = IDD_OPTIONS3 };
	CString	m_edit_wave;
	BOOL	m_speaker_beep;
	BOOL	m_wave;
	BOOL	m_msg_box;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPPOpt3)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
    void UpdatePOPClientFromPage();

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPPOpt3)
	afx_msg void OnBrowseWave();
	afx_msg void OnPageChanged();
	afx_msg void OnPlay();
	//}}AFX_MSG
	afx_msg LONG OnHelp(UINT wParam,LONG lParam);
	afx_msg LONG OnContextMenu(UINT wParam,LONG lParam);
	DECLARE_MESSAGE_MAP()

};
