/*********************************************************************************
 *																				
 *   e-Mail Notify - Internet e-Mail Notifier
 *   Copyright (C) 1996-1998 Ludovic Dubost <ldubost@pobox.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *  
 **********************************************************************************/


#include "stdafx.h"
#include "email.h"
#include "viewdial.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewDialog dialog


CViewDialog::CViewDialog(CWnd* pParent,CString& author,CString& date,CString& subject,unsigned long size,CString& mail)
	: CDialog(CViewDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewDialog)
	m_author = author;
	m_date = date;
	m_size = size;
	m_subject = subject;
	//}}AFX_DATA_INIT

    int iPos = mail.Find("\r\n\r\n");
	if (iPos!=-1)
	{
	 m_mail = mail.Right(mail.GetLength()-iPos-4);
     m_mail_headers = mail.Left(iPos+4);
	}
	else
	{
	 m_mail = mail;
     m_mail_headers = _T("");
	}
}


void CViewDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewDialog)
	DDX_Text(pDX, IDC_MAIL, m_mail);
	DDX_Text(pDX, IDC_MAIL_AUTHOR, m_author);
	DDX_Text(pDX, IDC_MAIL_DATE, m_date);
	DDX_Text(pDX, IDC_MAIL_SIZE, m_size);
	DDX_Text(pDX, IDC_MAIL_SUBJECT, m_subject);
	DDX_Text(pDX, IDC_EDIT_HEADER, m_mail_headers);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewDialog, CDialog)
	//{{AFX_MSG_MAP(CViewDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CViewDialog message handlers

void CViewDialog::OnOK() 
{
	CDialog::OnOK();
}

BOOL CViewDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
#ifndef WIN16
	SetForegroundWindow();
#endif
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
