/*********************************************************************************
 *																				
 *   e-Mail Notify - Internet e-Mail Notifier
 *   Copyright (C) 1996-1998 Ludovic Dubost <ldubost@pobox.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *  
 **********************************************************************************/


/////////////////////////////////////////////////////////////////////////////
// CPPOpt5 dialog

class CPPOpt5 : public CPropertyPage
{
	DECLARE_DYNCREATE(CPPOpt5)

// Construction
public:
	CPPOpt5();
	~CPPOpt5();

// Dialog Data
	//{{AFX_DATA(CPPOpt5)
	enum { IDD = IDD_OPTIONS5 };
	CString	m_edit_reader;
	CString	m_edit_spawn;
	BOOL	m_spawn;
	BOOL	m_spawn_not1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPPOpt5)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
    void UpdatePOPClientFromPage();

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPPOpt5)
	afx_msg void OnPageChanged();
	afx_msg void OnReaderBrowse();
	afx_msg void OnSpawnBrowse();
	afx_msg void OnSpawn();
	//}}AFX_MSG
	afx_msg LONG OnHelp(UINT wParam,LONG lParam);
	afx_msg LONG OnContextMenu(UINT wParam,LONG lParam);
	DECLARE_MESSAGE_MAP()

};
